import Vue from 'vue'
import VueRouter from 'vue-router'
import Home from '../views/Home.vue'

Vue.use(VueRouter)

const routes = [
  {
    path: '/',
    name: 'Home',
    component: Home
  },
  {
    path: '/edit',
    name: 'Edit',
    // route level code-splitting
    // this generates a separate chunk (about.[hash].js) for this route
    // which is lazy-loaded when the route is visited.
    component: () => import(/* webpackChunkName: "about" */ '../views/Edit.vue')
  },
  {
    path: '/upload',
    name: 'Upload',
    component: () => import('../views/Upload'),
  },
  {
    path: '/apply',
    name: 'Apply',
    component: () => import('../views/Apply'),
  },
]

const router = new VueRouter({
  routes
})

export default router
